<div [ngClass]="filterStatus ? 'filterMenuON':'filterMenuOFF'" (click)="filterStatus?switchFilterStatus():''">
</div>
<div [ngClass]="filterStatus ? 'filterItemON':'filterItemOFF'">
    <div class="menuTransport w3-container w3-center w3-margin-bottom">
        <div class="w3-row">
            <div class="transport w3-col l6 m6 s6" [ngClass]="transportMedium? '': 'rider'"
                 (click)="transportMedium?switchTransportMedium():''">
                <img class="icon" src="https://cdn.pixabay.com/photo/2016/04/20/15/36/bike-1341369_960_720.png"
                     alt="Bike"/>
            </div>
            <div class="transport w3-col l6 m6 s6" [ngClass]="transportMedium? 'walker' : ''"
                 (click)="!transportMedium?switchTransportMedium():''">
                <img class="icon" src="https://static.thenounproject.com/png/1757934-200.png" alt="Walker"/>
            </div>
        </div>
    </div>
    <form class="w3-container" [formGroup]="stationsForm" (ngSubmit)="search()">
        <div class="w3-row">
            <label class="w3-margin-bottom" for="stationName"><b>Station de vélo:</b></label>
            <input type="text" class="w3-input w3-margin-bottom w3-margin-top" matInput formControlName="stationName"
                   [matAutocomplete]="auto" id="stationName"/>
            <mat-autocomplete #auto="matAutocomplete">
                <mat-option *ngFor="let option of this.stationSuggestion" [value]="option.name">
                    {{option.name}}
                </mat-option>
            </mat-autocomplete>
        </div>
        <div class="w3-row w3-margin-bottom w3-center">
            <div class="w3-row">
                <label class="switch_label w3-margin-bottom"><b>Temps / Distance</b></label>
            </div>
            <div class="w3-row">
                <label class="switch w3-margin-left w3-margin-right w3-margin-top">
                    <input formControlName="distance" type="checkbox">
                    <span class="slider round"></span>
                </label>
            </div>
        </div>
        <div *ngIf="this.stationsForm.value.distance" class="w3-row w3-margin-bottom">
            <label class="w3-margin-bottom" for="orders"><b>Distance maximum</b></label>
            <select class="w3-select" formControlName="distance_max" id="orders">
                <option value="" disabled selected>Km</option>
                <option *ngFor="let item of this.optionDistance" [value]="item.value">
                    {{item.text}}
                </option>
            </select>
        </div>
        <div *ngIf="!this.stationsForm.value.distance" class="w3-row w3-margin-bottom">
            <label for="orders"><b>Temps maximum</b></label>
            <select class="w3-select" formControlName="temps_max" id="orders">
                <option value="" disabled selected>Min</option>
                <option *ngFor="let item of this.optionTemps" [value]="item.value">
                    {{item.text}}
                </option>
            </select>
        </div>
        <div class="w3-row w3-margin-top">
            <a class="w3-btn w3-grey w3-left" (click)="resetForm()">reset</a>
        </div>
        <div class="w3-row w3-margin-top w3-center">
            <button class="w3-button w3-black">rechercher</button>
        </div>
    </form>
</div>

<ion-content>
    <div (click)="switchFilterStatus()" [ngClass]="filterStatus ? 'searchON':'searchOFF'"></div>
    <div id="map"></div>
</ion-content>
<div id="stationDescription" [ngClass]="descriptionDisplay ? 'descriptionON':'descriptionOFF'">
    <div id="descriptionStatus" (click)="descriptionDisplayOFF()">
    </div>
    <button class="w3-display-right w3-margin w3-button w3-black" (click)="launchItineraire(mapService.description)">
        Itinéraire
    </button>
    <div class="w3-container w3-margin-bottom">
        <div class="w3-row">
            <div class="w3-col l6">
                <div class="w3-ul">
                    <ul>
                        <li>
                            <h4>Distance: {{this.mapService.distanceWith | number :'1.1-1'}} Km</h4>
                        </li>
                        <li>
                            <h5>{{this.mapService.description.name}}</h5>
                            <h5>Vélos libres: {{this.mapService.description.freeBikes}}</h5>
                            <h5>Places restantes: {{this.mapService.description.emptySlots}}</h5>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="helperIcon" [ngClass]="helperDisplay ? 'helperIconON':'helperIconOFF'" (click)="switchHelperDisplay()">
    <span class="w3-display-middle">?</span>
</div>
<div id="helper" [ngClass]="helperDisplay ? 'helperON':'helperOFF'">
    <div class="w3-card-1  w3-margin-bottom">
        <header class="w3-container w3-margin-top">
            <h3 class="w3-center">Aide</h3>
        </header>
        <div class="w3-container">
            <hr>
            <img class="w3-display-middle w3-image" src="assets/MarkerHelper.svg" alt="Marker Helper">
        </div>

    </div>

</div>


